/*
 *  Printer - the OffiX print manager
 *  Copyright (c) 1996 Andr Hentz
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
 
#include "lp.h"
#include "List.h"

void GetPrinters(List *Printers);
void GetJobs(char *Printer, List *Jobs);


char	*user[];	/* users to process */
int	users=0;	/* # of users in user array */
int	requ[];		/* job number of spool entries */
int	requests=0;	/* # of spool requests */
#ifdef MAIN
main(int argc, char **argv)
{
	ListEntry *CurrentPrinter;
	List *Printers;

	Printers = NewList();
	GetPrinters(Printers);	
	CurrentPrinter = Printers->first;
	while(CurrentPrinter)
	{
		List *Jobs;
		ListEntry *CurrentJob;
		printf("--------->%s\n", CurrentPrinter->string);
		Jobs = NewList();	
		GetJobs(CurrentPrinter->string, Jobs);
		CurrentJob = Jobs->first;
		while(CurrentJob)
		{
			printf("          %s\n", CurrentJob->string);
			CurrentJob = CurrentJob->next;
		}
		FreeList(Jobs);
		CurrentPrinter = CurrentPrinter->next;
	}
	FreeList(Printers);
}
#endif
void GetPrinters(List *Printers)
{
	register int c;
	register char *cp1, *cp2;
	char prbuf[100];
	printer = prbuf;
	while (getprent(line) > 0) 
	{
		cp1 = prbuf;
		cp2 = line;
		while ((c = *cp2++) && c != '|' && c != ':')
			*cp1++ = c;
		*cp1 = '\0';
		NewListEntry(Printers, printer);
	}
}

void GetJobs(char *Printer, List *Jobs)
{
	GetLpqListing(Printer, Jobs);
}


